Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.client
Class XMLParser

    java.lang.Object
      |
      +--com.sun.wbem.client.XMLParser

public class XMLParser
extends java.lang.Object

Constructor Summary
`XMLParser()`

Method Summary
`static boolean` | `getBooleanValue(org.w3c.dom.Node node)`
`static CIMClass` | `getCIMClass(org.w3c.dom.Node node)` Creates and instantiates a Java object representing a CIM Class from the specified XML element (node).
`static CIMInstance` | `getCIMInstance(org.w3c.dom.Node node)` Converts a CIM instance in XML format to a Java object.
`static CIMMethod` | `getCIMMethod(org.w3c.dom.Node node)` Converts a CIM method in XML format to a Java object.
`static CIMObjectPath` | `getCIMObjectPath(org.w3c.dom.Node node)` Converts the name of a CIM object in XML format to a Java object.
`static CIMParameter` | `getCIMParameter(org.w3c.dom.Node node)` Converts a CIM parameter in XML format to a Java object.
`static CIMProperty` | `getCIMProperty(org.w3c.dom.Node node)` Converts a CIM property in XML format to a Java object.
`static CIMQualifier` | `getCIMQualifier(org.w3c.dom.Node node)` Converts a CIM qualifier in XML format to a Java object.
`static CIMQualifierType` | `getCIMQualifierType(org.w3c.dom.Node node)`
`static CIMValue` | `getCIMValue(org.w3c.dom.Node node, java.lang.String type)` Creates and instantiates a Java object representing a CIM Value from the specified XML element (node).
`static org.w3c.dom.Node` | `getFirstChildElement(org.w3c.dom.Node node)`
`static java.lang.String` | `getStringValue(org.w3c.dom.Node node)`
`static java.lang.String` | `getTextNode(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParser

    public XMLParser()

Method Detail

### getCIMClass

    public static CIMClass getCIMClass(org.w3c.dom.Node node)
                                throws CIMException

  Creates and instantiates a Java object representing a CIM Class from the specified XML element (node). Node is a Document Model Object that must conform to the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999).

  This constructor makes it possible, for example, to convert a text file containing the XML representation of a CIM object into the corresponding java representation.

  Parameters:
    `node` - XML CLASS element as defined in the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999). Node is an instance of type org.w3c.dom.Node.
  Throws:
    CIMException - If node contains two identical PROPERTY elements containing identical QUALIFIERs.

    Example:

    The following code segment parses an XML document and uses the constructor `new CIMClass(node)` to create a Java CIM class representing the XML class.

         ...
         else if (nodename.equals(xe.CLASS)) {
          for (node = walker.getCurrent();
               node != null;
               node = walker.getNextElement(nodename)) {
              v.addElement(new CIMClass(node));
          }
         ...

### getCIMInstance

    public static CIMInstance getCIMInstance(org.w3c.dom.Node node)
                                      throws CIMException

  Converts a CIM instance in XML format to a Java object.

  This constructor makes it possible, for example, to convert a text file containing the XML representation of a CIM object into the corresponding java representation.

  Creates a CIM Instance from the specified node (XML element). Node is a Document Model Object that must conform to the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999).

  Parameters:
    `node` - XML element as defined in the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999). Node is an instance of type org.w3c.dom.Node.
  Throws:
    CIMException - If the specified instance, instance name, property, or qualifier already exists in this instance.

### getCIMMethod

    public static CIMMethod getCIMMethod(org.w3c.dom.Node node)
                                  throws CIMException

  Converts a CIM method in XML format to a Java object.

  This constructor makes it possible, for example, to convert a text file containing the XML representation of a CIM object into the corresponding java representation.

  If you specify an XML method, the constructor creates a Java object representing the method. If you specify an XML qualifier or parameter, the constructor adds the Java representation of that object to the existing method.

  This constructor creates a Java object representing the specified node (XML element). Node is a Document Model Object that must conform to the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999).

  Parameters:
    `node` - XML method, qualifier, or parameter
  Throws:
    CIMException - If the method name, data type, or or origin class already exists in the method. If the specified qualifier already exists in the method. If the specified parameter already exists in the method.

### getCIMObjectPath

    public static CIMObjectPath getCIMObjectPath(org.w3c.dom.Node node)
                                          throws CIMException

  Converts the name of a CIM object in XML format to a Java object.

  This constructor makes it possible, for example, to convert a text file containing the XML representation of a CIM object into the corresponding java representation.

  Creates a CIM namespace from the specified node (XML element). Node is a Document Model Object that must conform to the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999).

  Parameters:
    `node` - XML element as defined in the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999). Node is an instance of type org.w3c.dom.Node.
  Throws:
    CIMException - If the specified CIM object path already exists.

### getCIMParameter

    public static CIMParameter getCIMParameter(org.w3c.dom.Node node)
                                        throws CIMException

  Converts a CIM parameter in XML format to a Java object.

  This constructor makes it possible, for example, to convert a text file containing the XML representation of a CIM object into the corresponding java representation.

  If you specify a parameter in XML format, this constructor creates a Java object representing the parameter. If you specify a qualifier in XML format, this constructor adds the Java representation of that qualifier to the existing parameter.

  This constructor creates a Java object representing the specified node (XML element). Node is a Document Model Object that must conform to the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999).

  Parameters:
    `node` - XML parameter or qualifier
  Throws:
    CIMException - If the parameter name already exists in the parameter. If the specified qualifier already exists in the parameter.

### getCIMProperty

    public static CIMProperty getCIMProperty(org.w3c.dom.Node node)
                                      throws CIMException

  Converts a CIM property in XML format to a Java object.

  This constructor makes it possible, for example, to convert a text file containing the XML representation of a CIM object into the corresponding Java representation.

  If you specify a property in XML format, this constructor creates a Java object representing the property. If you specify a qualifier in XML format, this constructor adds the Java representation of that qualifier to the existing parameter.

  This constructor creates a Java object representing the specified node (XML element). Node is a Document Model Object that must conform to the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999).

  Parameters:
    `node` - XML property or qualifier
  Throws:
    CIMException - If the qualifier name already exists in the property.

### getCIMQualifier

    public static CIMQualifier getCIMQualifier(org.w3c.dom.Node node)
                                        throws CIMException

  Converts a CIM qualifier in XML format to a Java object.

  This constructor makes it possible, for example, to convert a text file containing the XML representation of a CIM object into the corresponding Java representation.

  If you specify an XML qualifier, this constructor creates a Java object representing the qualifier, including its CIM value, scope, and flavors. If you specify an XML value, this constructor adds the Java representation of that CIM value to the existing qualifier.

  This constructor creates a Java object representing the specified node (XML element). Node is a Document Model Object that must conform to the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999).

  Parameters:
    `node` - XML method, qualifier, or parameter
  Throws:
    CIMException - If the method name, data type, or or origin class already exists in the method. If the specified qualifier already exists in the method. If the specified parameter already exists in the method.

### getCIMQualifierType

    public static CIMQualifierType getCIMQualifierType(org.w3c.dom.Node node)
                                                throws CIMException

### getCIMValue

    public static CIMValue getCIMValue(org.w3c.dom.Node node,
                                       java.lang.String type)
                                throws CIMException

  Creates and instantiates a Java object representing a CIM Value from the specified XML element (node). Node is a Document Model Object that must conform to the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999).

  This constructor makes it possible, for example, to convert a text file containing the XML representation of a CIM object into the corresponding java representation.

  Parameters:
    `node` - XML CIM Value element as defined in the "Specification for the Representation of CIM in XML" Version 2.0 (July 20th, 1999). Node is an instance of type org.w3c.dom.Node.
    `type` - String for the data type of this CIM Value.
  Throws:
    CIMException - If node already exists.

### getBooleanValue

    public static boolean getBooleanValue(org.w3c.dom.Node node)

### getFirstChildElement

    public static org.w3c.dom.Node getFirstChildElement(org.w3c.dom.Node node)

### getStringValue

    public static java.lang.String getStringValue(org.w3c.dom.Node node)

### getTextNode

    public static java.lang.String getTextNode(org.w3c.dom.Node node)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD